org.apache.struts2.views.java

## Class XHTMLTagSerializer

- java.lang.Object
- - org.apache.struts2.views.java.XHTMLTagSerializer

- All Implemented Interfaces:
    TagHandler, TagSerializer

      public class XHTMLTagSerializer
      extends Object
      implements TagSerializer

  Write tags as XHTML

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected Writer` | `writer`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `XHTMLTagSerializer()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `characters(String text)` Writes to the inner text of a tag.
    `void` | `characters(String text, boolean encode)` Writes to the inner text of a tag
    `void` | `end(String name)` Writes a tag close
    `void` | `setNext(TagHandler next)`
    `void` | `setup(TemplateRenderingContext context)`
    `void` | `start(String name, Attributes attrs)` Write a tag openening, with its attributes

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### writer

          protected Writer writer

  - ### Constructor Detail

    - #### XHTMLTagSerializer

          public XHTMLTagSerializer()

  - ### Method Detail

    - #### characters

          public void characters(String text)
                          throws IOException

      Description copied from interface: `TagHandler`
      Writes to the inner text of a tag. By default the body is html encoded
      Specified by:
        `characters` in interface `TagHandler`
      Parameters:
        `text` - tag body.
      Throws:
        `IOException`

    - #### characters

          public void characters(String text,
                                 boolean encode)
                          throws IOException

      Description copied from interface: `TagHandler`
      Writes to the inner text of a tag
      Specified by:
        `characters` in interface `TagHandler`
      Parameters:
        `text` - tag body
        `encode` - html encode the body
      Throws:
        `IOException`

    - #### end

          public void end(String name)
                   throws IOException

      Description copied from interface: `TagHandler`
      Writes a tag close
      Specified by:
        `end` in interface `TagHandler`
      Parameters:
        `name` - name of the tag
      Throws:
        `IOException`

    - #### setNext

          public void setNext(TagHandler next)

      Specified by:
        `setNext` in interface `TagHandler`

    - #### start

          public void start(String name,
                            Attributes attrs)
                     throws IOException

      Description copied from interface: `TagHandler`
      Write a tag openening, with its attributes
      Specified by:
        `start` in interface `TagHandler`
      Parameters:
        `name` - name of the tag
        `attrs` - attributes of the tag
      Throws:
        `IOException`

    - #### setup

          public void setup(TemplateRenderingContext context)

      Specified by:
        `setup` in interface `TagHandler`

Copyright © 2000–2024 Apache Software Foundation. All rights reserved.